#pragma once

#include "frame.hpp"


class Painter {
private:
    float global_angle = 0;

    struct {
        int X, Y;
    } global_clicked_pixel = {-1, -1};
public:


    void SetClickedPixel(int x, int y) {
        this->global_clicked_pixel.X = x;
        this->global_clicked_pixel.Y = y;
    }

    void AngleStep() {
        this->global_angle += 0.05;
    }


    void Draw(Frame &frame);
};
